Subject: bug#5321: - Interaction problem between Emacs and terminal paste functions

From: James Mills <[email-masked]>
Date: Fri, 29 Oct 2010 11:42:45 -0500

All,

I would like to post a more easily tested scenario for this bug.
Additionally, I have tested it on:

version  23.1.90.1 on OS X
version 23.1.50.1 on Ubuntu 10.04 (emacs-snapshot)

I wrote a script that prints out 1024 lines of output.  It looks like this:

LINE 0
LINE 1
LINE 2
...
LINE 1023

If you copy this 1024 line output, and paste it into emacs running in
a terminal (not the GUI), you will not see all 1024 lines.  In fact,
toward the end, you will get random garbage.  For example, my last
attempt printed:

LINE 464
LINE 465
LINE 466
LIN6
LINE 507
LINE 508
LINE 629
LINE 630
LINE 631E 67
L 8

This does not happen in ANY other editor I have tried that uses the
terminal.  But if course, I don't really want to use any other editor,
which is why I am pinging this report with additional test info. ;)
The test takes seconds to run, and I would sure appreciate some
movement on this bug.

Thanks!
James